Subject: Re: [PATCH v4 0/8] refs: add reflog support to `git refs migrate`

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 17 Dec 2024 07:59:50 +0100

On Mon, Dec 16, 2024 at 05:44:25PM +0100, Karthik Nayak wrote:
> Changes in v4:
> - Fix broken tests, due to two reasons in patch 8/8:
>   - The `index` field in `reflog_migration_data` wasn't initialized to
>     0. This specifically doesn't break the test, but causes undefined
>     behavior. Fix this by using designated initializers.
>   - The strbuf within `migration_data` wasn't initialized when the flow
>     exited early, causing memory leaks. Fix this too by using designated
>     initializers.
> - Thanks to Junio for reporting and Patrick for helping shed some light
>   on these broken tests.
> - Link to v3: https://lore.kernel.org/r/[email-masked]

The range-diff looks as expected, so this version of the series looks
good to me. Thanks!

Patrick